Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags
- Supports System
- SSI

  | · Introduction · config · echo · exec · flastmod · fsize · include

- htaccess
- Image Maps
- Appendix

<!--#exec--> |

`<!--#exec-->` is defined in the Main RXML parser module. Executes a CGI script or shell command. This command has security implications and therefore, might not be available on all web sites.

Attributes |
cgi, cmd,

Attributes

`cgi`=URL
  Path to the CGI script URL encoded. That is, a character can be quoted by % followed by its hex value. The CGI script is given the PATH_INFO and QUERY_STRING of the original request from the client. The variables available in `<!--#echo>` will be available to the script in addition to the standard CGI environment. If the script returns a Location header, then this will be translated into an HTML anchor.

`cmd`=path
  The server will execute the command using /bin/sh. The variables available in `<!--#echo>` will be available to the script.

Example

</dump_if not cookie=rxml-help>